#include <stdio.h>

void tausche(x, y)
   int *x, *y;
{
   int z;

   z = *x; *x = *y; *y = z;
}  /* "return" nicht notwendig */

main()
{
   int a, b;
   void tausche();

   a = 4; 
   b = 8;
   printf("a= %d, b= %d\n", a, b);
   tausche(&a, &b);
   printf("a= %d, b= %d\n", a, b);   
}
